Acontext
Session

Get sessions

GET
/session

Get all sessions under a project, optionally filtered by user or configs

Authorization

BearerAuth
Authorization<token>

Project Bearer token (e.g., "Bearer sk-ac-xxxx")

In: header

Query Parameters

user?string

User identifier to filter sessions

filter_by_configs?string

JSON-encoded object for JSONB containment filter. Example: {\

limit?integer

Limit of sessions to return, default 20. Max 200.

cursor?string

Cursor for pagination. Use the cursor from the previous response to get the next page.

time_desc?boolean

Order by created_at descending if true, ascending if false (default false)

Response Body

application/json

curl -X GET "https://loading/api/v1/session"
{
  "code": 0,
  "error": "string",
  "msg": "string",
  "data": {
    "has_more": true,
    "items": [
      {
        "configs": {},
        "created_at": "string",
        "disable_task_tracking": true,
        "id": "string",
        "project_id": "string",
        "updated_at": "string",
        "user_id": "string"
      }
    ],
    "next_cursor": "string"
  }
}